Page MenuHomePhabricator

[OpenMP][FIX] Query proper thread ID information to support nesting
ClosedPublic

Authored by jdoerfert on Oct 16 2021, 12:42 PM.

Details

Summary

The OpenMP thread ID is not the hardware thread ID if we have nesting.
We need to ask the runtime properly to ensure correct results.

Note that the loop interface is going to change soon so we do not adjust
it now but simply ignore the extra argument.

Diff Detail

Event Timeline

jdoerfert created this revision.Oct 16 2021, 12:42 PM
jdoerfert requested review of this revision.Oct 16 2021, 12:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 16 2021, 12:42 PM
Herald added a subscriber: sstefan1. · View Herald Transcript
tianshilei1992 accepted this revision.Oct 18 2021, 3:53 PM

It's too bad that front end emits "internal" function call instead of interface.

This revision is now accepted and ready to land.Oct 18 2021, 3:53 PM

It's too bad that front end emits "internal" function call instead of interface.

We'll rip that part out soon.

This revision was landed with ongoing or failed builds.Oct 27 2021, 4:19 PM
This revision was automatically updated to reflect the committed changes.